MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026264Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-05-25 17:482017-07-31 17:46
Reporterakz 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.0.0 
Summary0026264: Tolerance degradation on 'bfuse'
DescriptionAttached BRep models are turbine elements - hub, shroud and blade. Blade is unclosed shell, so the attached script makes solid shape from its.

We try to fuse hub and blade. Resultant shape is correct but with very bad tolerance - maximal is 185.68
Steps To Reproducerestore blade.brep
restore hub.brep
restore shroud.brep
source TurbineShell.tcl
bfuse res hub blade
TagsNo tags attached.
Test case numberbugs modalg_7 bug26264
Attached Files? file icon TurbineShell.tcl (329 bytes) 2015-05-25 17:49
? file icon hub.brep (36,162 bytes) 2015-05-25 17:49
? file icon shroud.brep (59,758 bytes) 2015-05-25 17:49
? file icon blade.brep (288,679 bytes) 2015-05-25 17:49

- Relationships

-  Notes
(0041602)
pkv (developer)
2015-05-27 13:36

The argument blade contains faulty shapes

Draw[226]> bopargcheck blade #F
Made faulty shape: s1COnS_1 (MaxDist = 0.017088115122609691, MaxPar = 0.0045468839209795589)
Made faulty shape: s1COnS_2 (MaxDist = 0.012183151181786015, MaxPar = 0.0046080857701294182)
Faulties for FIRST shape found : 2
---------------------------------
Shapes are not suppotrted by BOP: NO
Self-Intersections : NO
Check for SI has been aborted : NO
Too small edges : NO
Bad faces : NO
Too close vertices : DISABLED
Too close edges : DISABLED
Shapes with Continuity C0 : NO
Invalid Curve on Surface : YES Cases(2) Total shapes(4)

Faulties for SECOND shape found : 0

Please, correct the argument
(0041603)
msv (developer)
2015-05-27 14:22

Dear akz, please try to fix the error in the input argument by fixshape command. After that check the tolerance and make BOP again. Let's see the result.
(0068505)
msv (developer)
2017-07-20 16:49

Dear bugmaster, please test if it is reproduced.
(0068555)
git (administrator)
2017-07-21 14:35

Branch CR26264 has been created by mkv.

SHA-1: e374bf60070a3a9f18646d94e0a898c30e142be5


Detailed log of new commits:

Author: mkv
Date: Fri Jul 21 14:34:21 2017 +0300

    Test for 0026264: Tolerance degradation on 'bfuse'
(0068556)
mkv (tester)
2017-07-21 14:39

Dear BugMaster,
problem described in issue is not reproduced on current state of OCCT.
(0068931)
git (administrator)
2017-07-31 17:46

Branch CR26264 has been deleted by kgv.

SHA-1: e374bf60070a3a9f18646d94e0a898c30e142be5

- Issue History
Date Modified Username Field Change
2015-05-25 17:48 akz New Issue
2015-05-25 17:48 akz Assigned To => msv
2015-05-25 17:48 akz File Added: TurbineShell.tcl
2015-05-25 17:49 akz File Deleted: TurbineShell.tcl
2015-05-25 17:49 akz File Added: TurbineShell.tcl
2015-05-25 17:49 akz File Added: hub.brep
2015-05-25 17:49 akz File Added: shroud.brep
2015-05-25 17:49 akz File Added: blade.brep
2015-05-25 17:52 akz Description Updated View Revisions
2015-05-25 17:52 akz Steps to Reproduce Updated View Revisions
2015-05-26 13:07 msv Assigned To msv => pkv
2015-05-26 13:07 msv Status new => assigned
2015-05-27 13:36 pkv Note Added: 0041602
2015-05-27 13:37 pkv Assigned To pkv => msv
2015-05-27 14:22 msv Note Added: 0041603
2015-05-27 14:22 msv Assigned To msv => akz
2015-05-27 14:22 msv Status assigned => feedback
2016-10-26 15:04 msv Target Version 7.1.0 => 7.2.0
2017-07-20 16:49 msv Note Added: 0068505
2017-07-20 16:49 msv Assigned To akz => bugmaster
2017-07-20 19:34 bugmaster Assigned To bugmaster => mkv
2017-07-21 14:35 git Note Added: 0068555
2017-07-21 14:39 mkv Note Added: 0068556
2017-07-21 14:39 mkv Assigned To mkv => bugmaster
2017-07-21 14:39 mkv Status feedback => tested
2017-07-21 14:40 mkv Test case number => bug modalg_7 bug26264
2017-07-21 16:40 bugmaster Status tested => verified
2017-07-21 16:40 bugmaster Fixed in Version => 7.0.0
2017-07-21 16:40 bugmaster Resolution open => fixed
2017-07-21 16:40 bugmaster Status verified => closed
2017-07-21 19:01 mkv Test case number bug modalg_7 bug26264 => bugs modalg_7 bug26264
2017-07-31 17:46 git Note Added: 0068931


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker